
if (!nativeAppCommunication) {
    var nativeAppCommunication = {
        from: "Android",
        deviceInfo: {},
        distilToken: ""
    }
}

nativeAppCommunication.checkedInTravellerList=function(data) {
    if(nativeAppCommunication.from == "iOS") {
        window.webkit.messageHandlers.navigateTo && window.webkit.messageHandlers.checkedInTravellerList.postMessage(data);
    } else if(nativeAppCommunication.from == "Android") {
        NativeBridge.checkedInTravellerList(data)
    }
}

nativeAppCommunication.boardingPassesTabList=function(data) {
    if(nativeAppCommunication.from == "iOS") {
        window.webkit.messageHandlers.navigateTo && window.webkit.messageHandlers.boardingPassesTabList.postMessage(data);
    } else if(nativeAppCommunication.from == "Android") {
        NativeBridge.boardingPassesTabList(data)
    }
}

nativeAppCommunication.sendHeaderData=function(data) {
    if(nativeAppCommunication.from == "iOS") {
        window.webkit.messageHandlers.navigateTo && window.webkit.messageHandlers.sendRefxHeaderData.postMessage(data);
    } else if(nativeAppCommunication.from == "Android") {
        NativeBridge.sendHeaderData(data)
    }
}

nativeAppCommunication.sendTripData = function (data) {
    if (nativeAppCommunication.from == "iOS") {
        window.webkit.messageHandlers.sendTripData && window.webkit.messageHandlers.sendTripData.postMessage(data);
    } else if (nativeAppCommunication.from == "Android") {
        NativeBridge.sendTripData(data)
    }
}

nativeAppCommunication.getDeviceAppInfo = function () {
    if (nativeAppCommunication.from == "Android") {
        return NativeBridge.getDeviceAppInfo()
    }
}

nativeAppCommunication.getDistilToken = function () {
    if (nativeAppCommunication.from == "Android") {
        return NativeBridge.getDistilToken()
    }
}

function receiveMessage(event) {
    if (!event.data.action) {
      return;
    }
    switch (event.data.action) {
        case "CHECKED_IN_TRAVELER_LIST":
            nativeAppCommunication.checkedInTravellerList(JSON.stringify(event.data.data))
            break;
        case "BOARDING_PASSES_TAB_LIST":
            nativeAppCommunication.boardingPassesTabList(JSON.stringify(event.data.data))
            break;
        case "PAGE_TRIP_DATA":
            nativeAppCommunication.sendTripData(JSON.stringify(event.data.data))
            break;
        case "PAGE_HEADER_DATA":
            nativeAppCommunication.sendHeaderData(JSON.stringify(event.data.data))
            break;
        default:
            // code
    }
  }
window.addEventListener("message", receiveMessage, false);
